<form (ngSubmit)="onSubmit()" [formGroup]="personForm">
  <input type="text" name="name" formControlName="name"/>
  <input type="number" name="age" formControlName="age"/>
  <button>submit</button>
</form>
result: {{personForm.value | json}}
